package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "com-domain-OrganizationDegreeCourseFee")
public class OrganizationDegreeCourseFee {
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 分部id
     */
    @ApiModelProperty(value = "分部id")
    private Integer organId;

    /**
     * vip 1v1课原价格
     */
    @ApiModelProperty(value = "vip 1v1课原价格")
    private BigDecimal originalVip1v1;

    /**
     * vip 1v2课原价格
     */
    @ApiModelProperty(value = "vip 1v2课原价格")
    private BigDecimal originalVip1v2;

    /**
     * vip 1v1课价格
     */
    @ApiModelProperty(value = "vip 1v1课价格")
    private BigDecimal vip1v1;

    /**
     * vip 1v2课价格
     */
    @ApiModelProperty(value = "vip 1v2课价格")
    private BigDecimal vip1v2;

    /**
     * 乐理课原价格
     */
    @ApiModelProperty(value = "乐理课价格")
    private BigDecimal originalTheory;

    /**
     * 乐理课价格
     */
    @ApiModelProperty(value = "乐理课价格")
    private BigDecimal theory;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public BigDecimal getVip1v1() {
        return vip1v1;
    }

    public void setVip1v1(BigDecimal vip1v1) {
        this.vip1v1 = vip1v1;
    }

    public BigDecimal getVip1v2() {
        return vip1v2;
    }

    public void setVip1v2(BigDecimal vip1v2) {
        this.vip1v2 = vip1v2;
    }

    public BigDecimal getTheory() {
        return theory;
    }

    public void setTheory(BigDecimal theory) {
        this.theory = theory;
    }


    public BigDecimal getOriginalVip1v1() {
        return originalVip1v1;
    }

    public void setOriginalVip1v1(BigDecimal originalVip1v1) {
        this.originalVip1v1 = originalVip1v1;
    }

    public BigDecimal getOriginalVip1v2() {
        return originalVip1v2;
    }

    public void setOriginalVip1v2(BigDecimal originalVip1v2) {
        this.originalVip1v2 = originalVip1v2;
    }

    public BigDecimal getOriginalTheory() {
        return originalTheory;
    }

    public void setOriginalTheory(BigDecimal originalTheory) {
        this.originalTheory = originalTheory;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", organId=").append(organId);
        sb.append(", theory=").append(theory);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}
